/*
** Copyright (c) 2000-2005, Oracle Corporation. All Rights Reserved.
**
**34567890123456789012345678901234567890123456789012345678901234567890123456789
*/
function _getDateFieldFormat(dateField)
{
  var name = dateField.name;
  if (name && _dfs)
  {
    var format = _dfs[name];
    if (format)
      return new SimpleDateFormat(format);
  }

  return new SimpleDateFormat();
}

function _fixDFF(dateField)
{
  var format = _getDateFieldFormat(dateField);

  if (dateField.value != "")
  {
    var value = format.getAsObject(dateField.value);

    if (value != (void 0))
      dateField.value = format.getAsString(value);
  }
}

